org.eclipse.rdf4j.common.app.logging.base

## Class AbstractLogConfiguration

- java.lang.Object
- - org.eclipse.rdf4j.common.app.logging.base.AbstractLogConfiguration

- All Implemented Interfaces:
    Configuration, LogConfiguration
  Direct Known Subclasses:
    LogbackConfiguration, LogConfigurationBase

      public abstract class AbstractLogConfiguration
      extends Object
      implements LogConfiguration

  Base implementation of LogConfiguration.
  Author:
    Herko ter Horst

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.common.app.logging.LogConfiguration

      `ADMIN_EVENT_LOG_FILE, ADMIN_EVENT_LOGGER_NAME, LOG_FILE, LOGGING_DIR, USER_EVENT_LOG_FILE, USER_EVENT_LOGGER_NAME`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `DEFAULT_RESOURCES_LOCATION, DIR, RESOURCES_LOCATION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractLogConfiguration()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppConfiguration` | `getAppConfiguration()` Get application configuration
    `File` | `getBaseDir()` The base location on the file system for logging configuration and data
    `File` | `getConfDir()` The location on the file system where logging configuration is stored.
    `File` | `getLoggingDir()` The location on the file system where logging data is stored.
    `protected Set<String>` | `getPackages()` Get packages as a set
    `boolean` | `isDebugLoggingEnabled()` Is debug logging enabled?
    `void` | `setAppConfiguration(AppConfiguration config)` Set application configuration
    `void` | `setBaseDir(File baseDir)` Set the base location on the file system for logging configuration and data
    `void` | `setDebugLoggingEnabled(boolean debugLoggingEnabled)` Enable or disable debug logging.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.app.logging.LogConfiguration

      `getDefaultLogReader, getLogReader`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.app.config.Configuration

      `destroy, init, load, save`

- - ### Constructor Detail

    - #### AbstractLogConfiguration

          protected AbstractLogConfiguration()
                                      throws IOException

      Constructor
      Throws:
        `IOException`

  - ### Method Detail

    - #### setBaseDir

          public void setBaseDir(File baseDir)
                          throws IOException

      Description copied from interface: `LogConfiguration`
      Set the base location on the file system for logging configuration and data
      Specified by:
        `setBaseDir` in interface `LogConfiguration`
      Parameters:
        `baseDir` - the base location on the file system for logging configuration and data
      Throws:
        `IOException`

    - #### getBaseDir

          public File getBaseDir()

      Description copied from interface: `LogConfiguration`
      The base location on the file system for logging configuration and data
      Specified by:
        `getBaseDir` in interface `LogConfiguration`
      Returns:
        the base location on the file system for logging configuration and data

    - #### getConfDir

          public File getConfDir()

      Description copied from interface: `LogConfiguration`
      The location on the file system where logging configuration is stored.
      Specified by:
        `getConfDir` in interface `LogConfiguration`
      Returns:
        the location on the file system where logging configuration is stored

    - #### getLoggingDir

          public File getLoggingDir()

      Description copied from interface: `LogConfiguration`
      The location on the file system where logging data is stored.
      Specified by:
        `getLoggingDir` in interface `LogConfiguration`
      Returns:
        the location on the file system where logging data is stored

    - #### isDebugLoggingEnabled

          public boolean isDebugLoggingEnabled()

      Description copied from interface: `LogConfiguration`
      Is debug logging enabled?
      Specified by:
        `isDebugLoggingEnabled` in interface `LogConfiguration`
      Returns:
        true if debug logging is enabled, false otherwise

    - #### setDebugLoggingEnabled

          public void setDebugLoggingEnabled(boolean debugLoggingEnabled)

      Description copied from interface: `LogConfiguration`
      Enable or disable debug logging.
      Specified by:
        `setDebugLoggingEnabled` in interface `LogConfiguration`
      Parameters:
        `debugLoggingEnabled` - set to true if debug logging should be enabled, set to false otherwise

    - #### getPackages

          protected Set<String> getPackages()

      Get packages as a set
      Returns:
        packages as set of string

    - #### getAppConfiguration

          public AppConfiguration getAppConfiguration()

      Description copied from interface: `LogConfiguration`
      Get application configuration
      Specified by:
        `getAppConfiguration` in interface `LogConfiguration`
      Returns:
        application configuration

    - #### setAppConfiguration

          public void setAppConfiguration(AppConfiguration config)

      Description copied from interface: `LogConfiguration`
      Set application configuration
      Specified by:
        `setAppConfiguration` in interface `LogConfiguration`
      Parameters:
        `config` - application configuration

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.